LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
TolerantPropertySetResultType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::beans
| Java beans-like property access and introspection.

## Constant Groups
constants | com::sun::star::beans::TolerantPropertySetResultType
| specifies the possible failure types when using the com::sun::star::beans::XTolerantMultiPropertySet interface.

## Variables
const short | SUCCESS = 0
| the property has been successfully set or retrieved. More...
const short | UNKNOWN_PROPERTY = 1
| the property is not available. More...
const short | ILLEGAL_ARGUMENT = 2
| the value used with the property is not valid. More...
const short | PROPERTY_VETO = 3
| the property could not be changed at that time. More...
const short | WRAPPED_TARGET = 4
| a com::sun::star::lang::WrappedTargetException did occur. More...
const short | UNKNOWN_FAILURE = 5
| the operation failed and the reason is not known. More...